<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">

		let celdas=[];
		/* podemos declarar las celdas como variable global
		   porque celdas solo existe en la funcion inicio().
		   Inicializarlas no, porque document.querySelectorAll no
		   funciona porque no se ha cargado la pagina, no existe.
		   celdas=[Tiene almacenado todas las celdas de la tabla]
		*/
		


		function inicio(){
			
			/* quiero acceder a los td */
			/* querySelector(), para la tabla por ejemplo, te devuelve el elemento*/
			/* querySelectorAll(), para los 5 td, te devuelve un array */

			celdas=document.querySelectorAll("td");
			celdas[0].innerHTML+="lo que queramos";
			celdas[1].style.backgroundColor = '#CCC';
		}

		function cambia(objeto){
			
			/*
			celdas[posicion].style.backgroundColor = 'RED';
			celdas[posicion].style.color ='white';
			*/
		
			objeto.style.backgroundColor = 'RED';
			objeto.style.color = 'WHITE';
		}
		

	</script>
</head>
<body onload="inicio()">
	<!-- table>tr>td*5 tab -->
	<!-- table>tr>td{$}*5 tab, $ es para incrementar-->
	<table border="1">
		<tr>
			<td onclick="cambia(this)">1</td>
			<td onclick="cambia(this)">2</td>
			<td onclick="cambia(this)">3</td>
			<td onclick="cambia(this)">4</td>
			<td onclick="cambia(this)">5</td>
		</tr>
	</table>
	
	
</body>
</html>